UIPackage
Menu

Framework

Change language

Boilerplate repo

Tooltip

tooltipui

Small popover triggered by hover/focus, used for short labels — icon-button names, abbreviation expansions, keyboard shortcuts. Auto-positions and respects `prefers-reduced-motion`.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/tooltip.json
Named registry:npx shadcn-vue@latest add @uipkge/tooltipInstalls to:app/components/ui/tooltip/

Examples

Loading interactive previews…

npm dependencies

Used by

Files installed (5)

  • app/components/ui/tooltip/Tooltip.vue0.5 kB
    <script setup lang="ts">
    import type { TooltipRootEmits, TooltipRootProps } from 'reka-ui'
    import { TooltipRoot, useForwardPropsEmits } from 'reka-ui'
    
    const props = defineProps<TooltipRootProps>()
    const emits = defineEmits<TooltipRootEmits>()
    
    const forwarded = useForwardPropsEmits(props, emits)
    </script>
    
    <template>
      <TooltipRoot v-slot="slotProps" data-uipkge data-slot="tooltip" v-bind="forwarded">
        <slot v-bind="slotProps" />
      </TooltipRoot>
    </template>
    
  • app/components/ui/tooltip/TooltipContent.vue1.7 kB
  • app/components/ui/tooltip/TooltipProvider.vue0.5 kB
  • app/components/ui/tooltip/TooltipTrigger.vue0.3 kB
  • app/components/ui/tooltip/index.ts0.2 kB

Raw manifest:https://uipkge.dev/r/vue/tooltip.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Tooltip

tooltipui

Small popover triggered by hover/focus, used for short labels — icon-button names, abbreviation expansions, keyboard shortcuts. Auto-positions and respects `prefers-reduced-motion`.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/tooltip.json
Named registry:npx shadcn@latest add @uipkge-react/tooltipInstalls to:components/ui/tooltip/

Examples

Loading interactive previews…

npm dependencies

Used by

Files installed (2)

  • components/ui/tooltip/tooltip.tsx2.4 kB
    'use client'
    
    import * as React from 'react'
    import * as TooltipPrimitive from '@radix-ui/react-tooltip'
    import { cn } from '@/lib/utils'
    
    // Defaults follow Radix conventions: 700ms open delay for ambient tooltips,
    // 300ms skip-delay so once one tooltip opens, neighbors skip the wait.
    function TooltipProvider({
      delayDuration = 700,
      skipDelayDuration = 300,
      ...props
    }: React.ComponentProps<typeof TooltipPrimitive.Provider>) {
      return <TooltipPrimitive.Provider delayDuration={delayDuration} skipDelayDuration={skipDelayDuration} {...props} />
    }
    
    function Tooltip(props: React.ComponentProps<typeof TooltipPrimitive.Root>) {
      return <TooltipPrimitive.Root data-uipkge="" data-slot="tooltip" {...props} />
    }
    
    const TooltipTrigger = React.forwardRef<
      React.ElementRef<typeof TooltipPrimitive.Trigger>,
      React.ComponentPropsWithoutRef<typeof TooltipPrimitive.Trigger>
    >((props, ref) => <TooltipPrimitive.Trigger ref={ref} data-uipkge="" data-slot="tooltip-trigger" {...props} />)
    TooltipTrigger.displayName = TooltipPrimitive.Trigger.displayName
    
    const TooltipContent = React.forwardRef<
      React.ElementRef<typeof TooltipPrimitive.Content>,
      React.ComponentPropsWithoutRef<typeof TooltipPrimitive.Content>
    >(({ className, sideOffset = 4, children, ...props }, ref) => (
      <TooltipPrimitive.Portal>
        <TooltipPrimitive.Content
          ref={ref}
          data-uipkge=""
          data-slot="tooltip-content"
          sideOffset={sideOffset}
          className={cn(
            'bg-foreground text-background motion-safe:animate-in motion-safe:fade-in-0 motion-safe:zoom-in-95 motion-safe:data-[state=closed]:animate-out motion-safe:blur-in-2 motion-safe:data-[state=closed]:blur-out-2 motion-safe:data-[state=closed]:fade-out-0 motion-safe:data-[state=closed]:zoom-out-95 motion-safe:data-[side=bottom]:slide-in-from-top-2 motion-safe:data-[side=left]:slide-in-from-right-2 motion-safe:data-[side=right]:slide-in-from-left-2 motion-safe:data-[side=top]:slide-in-from-bottom-2 z-50 w-fit rounded-md px-3 py-1.5 text-xs text-balance',
            className,
          )}
          {...props}
        >
          {children}
          <TooltipPrimitive.Arrow className="bg-foreground fill-foreground z-50 size-2.5 translate-y-[calc(-50%_-_2px)] rotate-45 rounded-[2px]" />
        </TooltipPrimitive.Content>
      </TooltipPrimitive.Portal>
    ))
    TooltipContent.displayName = TooltipPrimitive.Content.displayName
    
    export { Tooltip, TooltipProvider, TooltipTrigger, TooltipContent }
    
  • components/ui/tooltip/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/tooltip.json